
# uFCoder libraries

Scope of this project are libraries used with **uFR** and **uFR Zero** Series devices and SDK examples. 
Libraries are supported at following platforms:
Windows 32 and 64 bit (static and dynamic)
Linux 32 and 64 bit (dynamic & static)
Linux ARM and ARM-HF (dynamic & static)
Mac OSX 64 bit & Universal (dynamic only)
iOS 64 bit (static & framework)
Android ARM 64 bit (.aar)
ESP32 ESP-IDF component

## Getting Started

Download project, choose appropriate architecture and place a library in appropriate directory.
Consult documentation for [API reference](https://code.d-logic.com/nfc-rfid-reader-sdk/ufr-doc/-/blob/master/uFR_Series_NFC_reader_API.pdf). For quick insight and functions' prototypes, check **/include/ufCoder.h** header file. 

### Prerequisites

[**uFR**](https://webshop.d-logic.com/products/nfc-rfid-reader-writer/ufr-series-dev-tools-with-sdk.html) or [**uFR Zero**](https://webshop.d-logic.com/products/nfc-rfid-reader-writer/ufr-zero-series.html) Series reader.

## License

See the [uFR_library_license.md](/license/uFR_library_license.md) file for details

## Acknowledgments

* Libraries are specific to mentioned hardware ONLY and some other hardware might have different approach, please bear that in mind.  

## Changelog

### [Version 6.0.9] - 2025-03-05

### General Changes

-  **API Updates:**

-  *SetServiceData()* API function call added.

-  *GetServiceData()* API function call added.


### Platform-Specific Changes

#### Android

- Android library updated to support following function calls on this platform:

-- *Display_** function calls.

-- *GetCardManufacturer()* function call.